<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>使用call()改变this的指向</title>
</head>
<body>
    <script>
        var x=0;
        function test(){ 
            console.log(this.x);
        };
        var obj={};
        obj.x=1;
        obj.y=test;
        obj.y.call();//0
        obj.y.call(obj); //1   
    </script>
</body>
</html>